Skip to main content
POST
/
v3
/
connections
/
{provider}
/
documents
List documents
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({containerTags: ['user_123', 'project_123']})
};

fetch('https://api.supermemory.ai/v3/connections/{provider}/documents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.supermemory.ai/v3/connections/{provider}/documents"

payload = { "containerTags": ["user_123", "project_123"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
curl --request POST \
--url https://api.supermemory.ai/v3/connections/{provider}/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"containerTags": [
"user_123",
"project_123"
]
}
'
[
  {
    "createdAt": "<string>",
    "id": "<string>",
    "status": "<string>",
    "summary": "<string>",
    "title": "<string>",
    "type": "<string>",
    "updatedAt": "<string>"
  }
]
{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}
{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}
{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
enum<string>
required
Available options:
notion,
google-drive,
onedrive,
gmail,
github,
web-crawler,
s3,
granola

Body

application/json
containerTags
string[]

Optional comma-separated list of container tags to filter documents by

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_:-]+$
Example:
["user_123", "project_123"]

Response

List of documents

createdAt
string<datetime>
required
id
string
required
status
string<datetime>
required
summary
string | null
required
title
string | null
required
type
string
required
updatedAt
string<datetime>
required